<?php defined('_JEXEC') or die('Restricted access'); // no direct access
/*
 * @component TimeLine Marker 
 * @copyright Copyright (C) 2012 Moonsoft.  
 * @license GPL 3.0
 * This program is free software: you can redistribute it and/or modify it under the terms of the 
 * GNU General Public License as published by the Free Software Foundation, either version 3 of the License, 
 * or (at your option) any later version.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
 * See the GNU General Public License for more details.
 * See <http://www.gnu.org/licenses/>.
 * More info www.moonsoft.es gestion@moonsoft.es 
 */ 
 
JHTML::_('behavior.tooltip');
 
$pathImagenOn=JURI::base().'modules/mod_timelinemarker/assets/img/on.png';
$pathImagenOff=JURI::base().'modules/mod_timelinemarker/assets/img/off.png';
$pathImagenHoliday=JURI::base().'modules/mod_timelinemarker/assets/img/holiday.png';

$pathImagenCalendar=JURI::base().'modules/mod_timelinemarker/assets/img/info.png';


$suffix=$params->get('moduleclass_sfx');

$document=JFactory::getDocument();
if ($suffix!=null && count($suffix)>0)                                                                       
	$document->addStyleSheet(JURI::base().'modules/mod_timelinemarker/assets/css/'.suffix,'text/css','screen');
else
	$document->addStyleSheet(JURI::base().'modules/mod_timelinemarker/assets/css/default.css','text/css','screen');
	
$document->addStyleSheet('http://fonts.googleapis.com/css?family=Shadows+Into+Light+Two&subset=latin,latin-ext','text/css','screen');
$document->addStyleSheet('http://fonts.googleapis.com/css?family=Ruda:400,700,900&subset=latin,latin-ext','text/css','screen');


$txtinfo="";

if(in_array("1", $params->get('days')))
  $txtinfo.= "·".JText::_('TLM_SUNDAY').":".$params->get('hours_1_f')." - ".$params->get('hours_1_t')."\n";
  
if(in_array("2", $params->get('days')))
  $txtinfo.= "·".JText::_('TLM_MONDAY').":".$params->get('hours_2_f')." - ".$params->get('hours_2_t')."\n";
  
if(in_array("3", $params->get('days')))
  $txtinfo.= "·".JText::_('TLM_TUESDAY').":".$params->get('hours_3_f')." - ".$params->get('hours_3_t')."\n";
  
if(in_array("4", $params->get('days')))
  $txtinfo.= "·".JText::_('TLM_WEDNESDAY').":".$params->get('hours_4_f')." - ".$params->get('hours_4_t')."\n";      

if(in_array("5", $params->get('days')))
  $txtinfo.= "·".JText::_('TLM_THURSDAY').":".$params->get('hours_5_f')." - ".$params->get('hours_5_t')."\n";

if(in_array("6", $params->get('days')))
  $txtinfo.= "·".JText::_('TLM_FRIDAY').":".$params->get('hours_6_f')." - ".$params->get('hours_6_t')."\n";

if(in_array("7", $params->get('days')))
  $txtinfo.= "·".JText::_('TLM_SATURDAY').":".$params->get('hours_7_f')." - ".$params->get('hours_7_t');
      
	
if($state['state']>-1){
?>

<?php
if($params->get('showinfotooltip')=="1"){

?>

<img src="<?php echo $pathImagenCalendar;?>" title="<?php echo $txtinfo?>" class="hasTip"/>

<?php } ?>

<div class="tlm_wrapper">

<div class="tlm_state_text">
	<div class="tlm_state">
	<?php switch($state['state']){ 
			case 0: ?><img src="<?php echo $pathImagenOn;?>"/><?php break;
			case 1: ?><img src="<?php echo $pathImagenOff;?>"/><?php break;
			case 2: ?><img src="<?php echo $pathImagenHoliday;?>"/><?php break;
		} ?>
		
	


	</div>
	<div class="tlm_text_wrapper">
	<div class="tlm_text">
	<div class="tlm_text_wrapper <?php switch($state['state']){ 
		case 0: echo 'tlm_on'; break;
		case 1: echo 'tlm_off'; break;
		case 2: echo 'tlm_holiday'; break;
	} ?>">
	<?php echo JText::_('TLM_WE_ARE');?>	
<?php switch($state['state']){ 
		case 0: echo JText::_('TLM_ON'); break;
		case 1: echo JText::_('TLM_OFF'); break;
		case 2: echo JText::_('TLM_HOLIDAY'); break;
	} ?>
	</div>	
	</div>
	</div>		
</div>
<?php if ($state['state']>0){ ?>
	<div class="tlm_retorno"><?php echo JText::sprintf('TLM_RETURN',$state['next_office_in']);?></div>
<?php } ?>
<?php if(isset($state['notice_holiday_date'])){ ?><div class="tlm_notice"><?php echo JText::sprintf('TLM_NOTICE',$state['notice_holiday_date'],$state['number_holiday_to']);?></div><?php } ?>
</div>
<?php } ?>